diff --git a/src/lib.rs b/src/lib.rs
index f34bf01..ad88b30 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -10,5 +10,7 @@
 extern crate libc;
 extern crate core_foundation;
 
+#[cfg(target_os = "macos")]
 pub mod base;
+#[cfg(target_os = "macos")]
 pub mod geometry;
